Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository
Interface HL7ObjectTypeDefinitionData

All Superinterfaces:
  java.util.EventListener, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, java.beans.PropertyChangeListener, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject

All Known Implementing Classes:
  HL7ObjectTypeDefinitionDataImpl

    public interface HL7ObjectTypeDefinitionData

extends com.stc.repository.RepositoryObject

Contains the actual data of the OTD.

Version:
  $Revision: 1.1 $
Author:
  nang, Julie Knight

Field Summary

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Method Summary
`void` | `addExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)`
`boolean` | `checkExternal(com.stc.model.common.ObjectTypeDefinition entry, java.util.HashMap map)` Check if the the OTD is one of the external OTD for this OTD, returns a map for those external OTD already checked.
`void` | `collectExternals(java.util.HashMap map)` Insert external OTD to the map if it's not exist.
`com.stc.model.common.OTDLocalizedInfo` | `createOTDLocalizedInfo(java.lang.String language, com.stc.model.common.ObjectTypeDefinition otd)`
`com.stc.model.common.OTDLocalizedInfo` | `deleteOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo value)`
`java.lang.String` | `getAccess()`
`java.util.Collection` | `getAllExternalObjectTypeDefinitions()`
`java.lang.String` | `getDocumentation()`
`com.stc.model.common.ObjectTypeDefinition` | `getExternalObjectTypeDefinition(java.lang.String name)`
`java.util.Collection` | `getExternalObjectTypeDefinitions()`
`java.lang.String` | `getOrigin()`
`com.stc.model.common.OTDLocalizedInfo` | `getOTDLocalizedInfo(java.lang.String language)`
`java.util.Collection` | `getOTDLocalizedInfos()`
`java.lang.String` | `getOtdMetaContainer()`
`java.lang.String` | `getSerial()`
`java.lang.String` | `getStructure()`
`int` | `getTopNodeId()`
`boolean` | `isExternal(com.stc.model.common.ObjectTypeDefinition entry)`
`boolean` | `isMessageable()`
`boolean` | `isVersionable()`
`com.stc.model.common.ObjectTypeDefinition` | `removeExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)`
`void` | `setAccess(java.lang.String value)`
`void` | `setDocumentation(java.lang.String value)`
`void` | `setOrigin(java.lang.String value)`
`void` | `setOtdMetaContainer(java.lang.String otdMetaContainer)`
`void` | `setSerial(java.lang.String value)`
`void` | `setStructure(java.lang.String value)`
`void` | `setTopNodeId(int value)`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Method Detail

### setAccess

    void setAccess(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getAccess

    java.lang.String getAccess()
                               throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getAllExternalObjectTypeDefinitions

    java.util.Collection getAllExternalObjectTypeDefinitions()
                                                             throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setDocumentation

    void setDocumentation(java.lang.String value)
                          throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getDocumentation

    java.lang.String getDocumentation()
                                      throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### isExternal

    boolean isExternal(com.stc.model.common.ObjectTypeDefinition entry)
                       throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getExternalObjectTypeDefinition

    com.stc.model.common.ObjectTypeDefinition getExternalObjectTypeDefinition(java.lang.String name)
                                                                              throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getExternalObjectTypeDefinitions

    java.util.Collection getExternalObjectTypeDefinitions()
                                                          throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getOTDLocalizedInfo

    com.stc.model.common.OTDLocalizedInfo getOTDLocalizedInfo(java.lang.String language)
                                                              throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getOTDLocalizedInfos

    java.util.Collection getOTDLocalizedInfos()
                                              throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setOrigin

    void setOrigin(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getOrigin

    java.lang.String getOrigin()
                               throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setSerial

    void setSerial(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getSerial

    java.lang.String getSerial()
                               throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setStructure

    void setStructure(java.lang.String value)
                      throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getStructure

    java.lang.String getStructure()
                                  throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setTopNodeId

    void setTopNodeId(int value)
                      throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getTopNodeId

    int getTopNodeId()
                     throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### addExternalObjectTypeDefinition

    void addExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)
                                         throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### checkExternal

    boolean checkExternal(com.stc.model.common.ObjectTypeDefinition entry,
                          java.util.HashMap map)
                          throws com.stc.repository.RepositoryException

  Check if the the OTD is one of the external OTD for this OTD, returns a map for those external OTD already checked.

  Parameters:
    `entry` - an OTD
    `map` - map for checked External OTD which doesn't match the criteria
  Returns:
    boolean true if the entry is one of the exteral OTD
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### collectExternals

    void collectExternals(java.util.HashMap map)
                          throws com.stc.repository.RepositoryException

  Insert external OTD to the map if it's not exist.

  Parameters:
    `map` - map to store the exteral OTD
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### createOTDLocalizedInfo

    com.stc.model.common.OTDLocalizedInfo createOTDLocalizedInfo(java.lang.String language,
                                                                 com.stc.model.common.ObjectTypeDefinition otd)
                                                                 throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### deleteOTDLocalizedInfo

    com.stc.model.common.OTDLocalizedInfo deleteOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo value)
                                                                 throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### removeExternalObjectTypeDefinition

    com.stc.model.common.ObjectTypeDefinition removeExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)
                                                                                 throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### isVersionable

    boolean isVersionable()

  Specified by:
    `isVersionable` in interface `com.stc.repository.persistence.client.Persistable`

### isMessageable

    boolean isMessageable()
                          throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### getOtdMetaContainer

    java.lang.String getOtdMetaContainer()
                                         throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

### setOtdMetaContainer

    void setOtdMetaContainer(java.lang.String otdMetaContainer)
                             throws com.stc.repository.RepositoryException

  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD